Package org.eclipse.rdf4j.sail.extensiblestore

## Class ReadCache

- java.lang.Object
- - org.eclipse.rdf4j.sail.extensiblestore.ReadCache

- All Implemented Interfaces:
    `DataStructureInterface`

      public class ReadCache
      extends Object
      implements DataStructureInterface

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadCache​(DataStructureInterface delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addStatement​(ExtensibleStatement statement)` |
    `void` | `clear​(boolean inferred, Resource[] contexts)` |
    `void` | `clearCache()` |
    `void` | `flushForCommit()` |
    `void` | `flushForReading()` |
    `long` | `getEstimatedSize()` |
    `CloseableIteration<? extends ExtensibleStatement,​SailException>` | `getStatements​(Resource subject, IRI predicate, Value object, boolean inferred, Resource... context)` |
    `void` | `init()` |
    `void` | `removeStatement​(ExtensibleStatement statement)` |
    `boolean` | `removeStatementsByQuery​(Resource subj, IRI pred, Value obj, boolean inferred, Resource[] contexts)` |
    `void` | `submitToCache​(Long localCacheTicket, PartialStatement partialStatement, List<ExtensibleStatement> statements)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.extensiblestore.DataStructureInterface

      `addStatement, removeStatement`

- - ### Constructor Detail

    - #### ReadCache

          public ReadCache​(DataStructureInterface delegate)

  - ### Method Detail

    - #### addStatement

          public void addStatement​(ExtensibleStatement statement)

      Specified by:
        `addStatement` in interface `DataStructureInterface`

    - #### removeStatement

          public void removeStatement​(ExtensibleStatement statement)

      Specified by:
        `removeStatement` in interface `DataStructureInterface`

    - #### getStatements

          public CloseableIteration<? extends ExtensibleStatement,​SailException> getStatements​(Resource subject,
                                                                                                     IRI predicate,
                                                                                                     Value object,
                                                                                                     boolean inferred,
                                                                                                     Resource... context)

      Specified by:
        `getStatements` in interface `DataStructureInterface`

    - #### flushForReading

          public void flushForReading()

      Specified by:
        `flushForReading` in interface `DataStructureInterface`

    - #### init

          public void init()

      Specified by:
        `init` in interface `DataStructureInterface`

    - #### clear

          public void clear​(boolean inferred,
                            Resource[] contexts)

      Specified by:
        `clear` in interface `DataStructureInterface`

    - #### flushForCommit

          public void flushForCommit()

      Specified by:
        `flushForCommit` in interface `DataStructureInterface`

    - #### removeStatementsByQuery

          public boolean removeStatementsByQuery​(Resource subj,
                                                 IRI pred,
                                                 Value obj,
                                                 boolean inferred,
                                                 Resource[] contexts)

      Specified by:
        `removeStatementsByQuery` in interface `DataStructureInterface`

    - #### clearCache

          public void clearCache()

    - #### submitToCache

          public void submitToCache​(Long localCacheTicket,
                                    PartialStatement partialStatement,
                                    List<ExtensibleStatement> statements)

    - #### getEstimatedSize

          public long getEstimatedSize()

      Specified by:
        `getEstimatedSize` in interface `DataStructureInterface`